import java.util.Observer;
import java.util.Observable;
import java.util.LinkedList;

public class ChienDeGarde implements Observer {
	private EtatAlerte etat;

	public ChienDeGarde(){
		etat = new EtatAlerteNormale();
	}

	public LinkedList<TransfertPublie> getHistorique(){
		return etat.getHistorique();
	}
	
	public void update(Observable o, Object arg) {
		etat = etat.signalerUnTransfert( (TransfertPublie) arg );
	}
}
